summaryrefslogtreecommitdiff
path: root/tests/bzr-single-commit.setup
diff options
context:
space:
mode:
authorJannis Pohlmann <jannis.pohlmann@codethink.co.uk>2012-02-17 13:19:55 +0000
committerJannis Pohlmann <jannis.pohlmann@codethink.co.uk>2012-02-17 13:19:55 +0000
commitb6c78eaef781571e8b14e7d1ef6bea19431e4dcd (patch)
tree1b34b7a9560ec62b90bdf2720663c85697ac06a9 /tests/bzr-single-commit.setup
parent0cfffb9368ad68d28d24f856c2a7221c4bcd8ccc (diff)
downloadlorry-b6c78eaef781571e8b14e7d1ef6bea19431e4dcd.tar.gz
Add a test for a simple bzr repository with one file and commit.
Diffstat (limited to 'tests/bzr-single-commit.setup')
-rwxr-xr-xtests/bzr-single-commit.setup48
1 files changed, 48 insertions, 0 deletions
diff --git a/tests/bzr-single-commit.setup b/tests/bzr-single-commit.setup
new file mode 100755
index 0000000..acb6949
--- /dev/null
+++ b/tests/bzr-single-commit.setup
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# Creates a bzr repository with a single file and a single commit.
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -e
+
+# create the repository
+repo="$DATADIR/bzr-test-repo"
+mkdir "$repo"
+cd "$repo"
+bzr init --quiet trunk
+
+# add the test file
+cd "$repo/trunk"
+echo "first line" > test.txt
+bzr add --quiet test.txt
+
+# make a commit
+bzr commit --quiet -m "first commit"
+
+# create the .lorry file for the repository
+cat <<EOF > $DATADIR/bzr-test-repo.lorry
+{
+ "bzr-test-repo": {
+ "type": "bzr",
+ "url": "file://$repo/trunk"
+ }
+}
+EOF
+
+# create the working directory for lorry
+mkdir "$DATADIR/work-dir"